module EmmetNotifications
  module Senders
    class Email < Base
      def initialize(message)
        super(message, EmmetNotifications::Adapters::Email)
      end

      def send_to_sender(email, options={})
        @adapter.send_to email: email, subject: @message.subject,
          content: @template.render(@message.content, options)
      end
    end
  end
end
