require "emmet_notifications/version"
require "emmet_notifications/engine" if defined?(::Rails)
require "enumerate_it"
require "markdown"
require "liquid"

module EmmetNotifications
  module Adapters
    autoload :Email, "emmet_notifications/adapters/email"
    autoload :Template, "emmet_notifications/adapters/template"
  end

  module Senders
    autoload :Base, "emmet_notifications/senders/base"
    autoload :Email, "emmet_notifications/senders/email"
  end
end
